Delete a User

Prev Next

This URL deletes the record of an existing user.

Resource URL

DELETE /user/{userId}

Request Parameters

URL Parameter

Field Name Description Data Type Mandatory
userId Unique identifier for a user Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Value 1 indicates user record is deleted successfully Number

Example

Request

DELETE https://<NSM_IP>/user/103

Response

 {
       "status":1
   } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 5110 Invalid user Id